<?php
if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

$query = "SHOW TABLES LIKE '".ROSTER_ADDON_VENTSTATUS_CONFIG."';";

$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

if( $wowdb->num_rows($result) < 1 )
{
		$version = "0.0.0";
} else {
	$wowdb->free_result($result);
	$query = "SELECT conf_data as version FROM `".ROSTER_ADDON_VENTSTATUS_CONFIG."` WHERE conf_name = 'version';";
	$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
	$res = $wowdb->fetch_assoc($result);
	$version = $res['version'];
}

$wowdb->free_result($result);

switch( $version )
{
	case "1.0.3":
	case "1.0.2":
	case "0.0.2":
		$query = "DROP TABLE `".ROSTER_ADDON_VENTSTATUS_CONFIG. "' ";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$wowdb->free_result($result);
		break;
	case "0.0.1":
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('admin', 'password')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "UPDATE `".ROSTER_ADDON_VENTSTATUS_CONFIG."` SET `conf_data` = '0.0.2' WHERE `conf_name` = 'version';";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$wowdb->free_result($result);
		break;
	case "0.0.0":
		$query = "CREATE TABLE `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (
		  `conf_id` int(11) unsigned NOT NULL auto_increment,
		  `conf_name` varchar(64) NOT NULL,
		  `conf_data` varchar(64) NOT NULL,
		  `conf_desc` text NOT NULL,
		  PRIMARY KEY  (`conf_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$wowdb->free_result($result);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('admin', 'password')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('version', '0.0.3')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('cmdprog', 'ventrilo_status')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('cmdcode', '2')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('cmdhost', '127.0.0.1')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('cmdport', '3784')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('cmdpass', '')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('info1', '1')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('display1', '1')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('display2', '1')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('display3', '1')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$query = "INSERT INTO `".ROSTER_ADDON_VENTSTATUS_CONFIG."` (conf_name, conf_data) VALUES ('lobby', '1')";
		$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
		$wowdb->free_result($result);
}